gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.Screen

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Screen = Screen (ManagedPtr Screen)
- noScreen :: Maybe Screen

# Exported types

newtype Screen Source #

Memory-managed wrapper type.

Constructors

Screen (ManagedPtr Screen) |

Instances

WrappedPtr Screen Source # |
Instance details Defined in GI.Xlib.Structs.Screen Methods wrappedPtrCalloc :: IO (Ptr Screen) Source # wrappedPtrCopy :: Screen -> IO Screen Source # wrappedPtrFree :: Maybe (FunPtr (Ptr Screen -> IO ())) Source #

noScreen :: Maybe Screen Source #

A convenience alias for `Nothing` :: `Maybe` `Screen`.